XmCreateRowColumn(3)

NAME
XmCreateRowColumn — The RowColumn widget creation function

SYNOPSIS

#include <Xm/RowColumn.h>
Widget XmCreateRowColumn(
Widget parent,
String name,
ArgList arglist,
Cardinal argcount);

DESCRIPTION

XmCreateRowColumn creates an instance of a RowColumn widget and returns the associated widget ID. If XmNrowColumnType is not specified, then it is created with XmWORK_AREA, which is the default.

If this function is used to create a Popup Menu of type XmMENU_POPUP or a Pulldown Menu of type XmMENU_PULLDOWN, a MenuShell widget is not automatically created as the parent of the menu pane. The application must first create the MenuShell by using either XmCreateMenuShell or the standard toolkit create function.

parent
    Specifies the parent widget ID

name
    Specifies the name of the created widget

arglist
    Specifies the argument list

argcount
    Specifies the number of attribute/value pairs in the argument list (arglist)

For a complete definition of RowColumn and its associated resources, see XmRowColumn(3).

RETURN

Returns the RowColumn widget ID.

RELATED

XmCreateMenuBar(3), XmCreateMenuShell(3), XmCreateOptionMenu(3), XmCreatePopupMenu(3), XmCreatePulldownMenu(3), XmCreateRadioBox(3), XmCreateSimpleCheckBox(3), XmCreateSimpleMenuBar(3), XmCreateSimpleOptionMenu(3), XmCreateSimplePopupMenu(3), XmCreateSimplePulldownMenu(3), XmCreateSimpleRadioBox(3), XmCreateWorkArea(3), XmRowColumn(3), XmVaCreateSimpleCheckBox(3), XmVaCreateSimpleMenuBar(3), XmVaCreateSimpleOptionMenu(3), XmVaCreateSimplePopupMenu(3), XmVaCreateSimplePulldownMenu(3), and XmVaCreateSimpleRadioBox(3).